Debian Bug report logs - #679704
live-tools: fails to upgrade from wheezy: ln: failed to create symbolic link `/usr/bin/uptime': File exists

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sat, 30 Jun 2012 21:08:52 UTC

Severity: serious

Tags: patch

Found in version live-tools/3.0.2-1

Fixed in version live-tools/3.0.3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679704; Package live-tools. (Sat, 30 Jun 2012 21:09:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 30 Jun 2012 21:09:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-tools: fails to upgrade from wheezy: ln: failed to create symbolic link `/usr/bin/uptime': File exists
Date: Sat, 30 Jun 2012 23:07:48 +0200
[Message part 1 (text/plain, inline)]
Package: live-tools
Version: 3.0.2-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'wheezy'.
It installed fine in 'wheezy', then the upgrade to 'sid' fails.

>From the attached log (scroll to the bottom...):

  Preparing to replace live-tools 3.0.1-1 (using .../live-tools_3.0.2-1_all.deb) ...
  ln: failed to create symbolic link `/usr/bin/uptime': File exists
  dpkg: error processing /var/cache/apt/archives/live-tools_3.0.2-1_all.deb (--unpack):
   subprocess new pre-installation script returned error exit status 1
  Errors were encountered while processing:
   /var/cache/apt/archives/live-tools_3.0.2-1_all.deb

There wasn't any version of linux-containers installed in the chroot.

cheers,

Andreas
[live-tools_3.0.2-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679704; Package live-tools. (Thu, 05 Jul 2012 14:34:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 05 Jul 2012 14:34:17 GMT) Full text and rfc822 format available.

Message #10 received at 679704@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 679704@bugs.debian.org, 679704-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: live-tools: fails to upgrade from wheezy: ln: failed to create symbolic link `/usr/bin/uptime': File exists
Date: Thu, 5 Jul 2012 16:29:12 +0200
[Message part 1 (text/plain, inline)]
tags 679704 + patch
thanks

Hi,

this happens, because the preinstal uncoditionally tries to create the 
symlink, w/o checking that it already is a symlink the live-uptime.
Easy reproducable via apt-get install --reinstall live-tools, no need 
for an upgrade :)

Attached is a patch which moves the creation of the symlink from the
preinst (and removing of it in postrm) to the actual package (via 
live-tools.links).

Upgrading 3.0.2-1 → 3.0.2-1.1 and 3.0.2-1.1 → 3.0.2-1.1 is tested, 
everything else is not.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.
[0001-install-the-uptime-live-uptime-link-in-the-package-n.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 14:34:39 GMT) Full text and rfc822 format available.

Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#679704. (Thu, 05 Jul 2012 14:34:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679704; Package live-tools. (Thu, 05 Jul 2012 15:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 05 Jul 2012 15:00:13 GMT) Full text and rfc822 format available.

Message #20 received at 679704@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Evgeni Golov <evgeni@debian.org>
Cc: 679704@bugs.debian.org
Subject: Re: Bug#679704: live-tools: fails to upgrade from wheezy: ln: failed to create symbolic link `/usr/bin/uptime': File exists
Date: Thu, 05 Jul 2012 16:56:46 +0200
tag 679704 pending
thanks

On 07/05/2012 04:29 PM, Evgeni Golov wrote:
> Attached is a patch which moves the creation of the symlink from the
> preinst (and removing of it in postrm) to the actual package (via 
> live-tools.links).

i'll upload something similar to this in some minutes.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 05 Jul 2012 15:00:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679704; Package live-tools. (Thu, 05 Jul 2012 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 05 Jul 2012 15:15:06 GMT) Full text and rfc822 format available.

Message #27 received at 679704@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Evgeni Golov <evgeni@debian.org>
Cc: 679704@bugs.debian.org
Subject: Re: Bug#679704: live-tools: fails to upgrade from wheezy: ln: failed to create symbolic link `/usr/bin/uptime': File exists
Date: Thu, 05 Jul 2012 17:11:09 +0200
On 07/05/2012 04:56 PM, Daniel Baumann wrote:
> i'll upload something similar to this in some minutes.

s/something similar to this/exactely that/

thanks ;)

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 05 Jul 2012 15:18:37 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Thu, 05 Jul 2012 15:18:37 GMT) Full text and rfc822 format available.

Message #32 received at 679704-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 679704-close@bugs.debian.org
Subject: Bug#679704: fixed in live-tools 3.0.3-1
Date: Thu, 05 Jul 2012 15:17:38 +0000
Source: live-tools
Source-Version: 3.0.3-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive:

live-tools_3.0.3-1.debian.tar.xz
  to main/l/live-tools/live-tools_3.0.3-1.debian.tar.xz
live-tools_3.0.3-1.dsc
  to main/l/live-tools/live-tools_3.0.3-1.dsc
live-tools_3.0.3-1_all.deb
  to main/l/live-tools/live-tools_3.0.3-1_all.deb
live-tools_3.0.3.orig.tar.xz
  to main/l/live-tools/live-tools_3.0.3.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jul 2012 17:05:30 +0200
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Debian Live - System Support Scripts
Closes: 679704
Changes: 
 live-tools (3.0.3-1) unstable; urgency=low
 .
   [ Evgeni Golov ]
   * Installing the uptime to live-uptime link in the package, not in
     preinst (Closes: #679704).
Checksums-Sha1: 
 59f51503016e50961d7e47f7347046bed03ab0ec 1259 live-tools_3.0.3-1.dsc
 0a51d0ca86b0a814dd2ba4035b443ebdc30f8eb5 16604 live-tools_3.0.3.orig.tar.xz
 4a15f8806884b4d2ef69758d37b9d2b7c1600e86 3300 live-tools_3.0.3-1.debian.tar.xz
 f17681aa8b887b9598c1b97015453813c3ca24a8 7622 live-tools_3.0.3-1_all.deb
Checksums-Sha256: 
 57b2f19d82f50454eb3415b81cd9c3db35a4ae8ae20c4ddf33e28c854f2b7b9f 1259 live-tools_3.0.3-1.dsc
 856a6be90a443d0ba4ab7de6438e6c7edf9ecd86263c3728049164dcb7babe24 16604 live-tools_3.0.3.orig.tar.xz
 d8c2f9cbb32a92a8d117016faa48808e738515d934cb1070d57f82e912474b4b 3300 live-tools_3.0.3-1.debian.tar.xz
 a1248ed3c256dbe0d18e6b0a57cc19633714ee8330857ed65d08673b67dc5411 7622 live-tools_3.0.3-1_all.deb
Files: 
 cdee45ff0a779b182652f75a8c2b5d37 1259 misc optional live-tools_3.0.3-1.dsc
 fd63c3d4575e703b29fcf59dcc941856 16604 misc optional live-tools_3.0.3.orig.tar.xz
 0704a60444c6392e40b66f8022c35530 3300 misc optional live-tools_3.0.3-1.debian.tar.xz
 419bacc2683df358651c6d8029d10e78 7622 misc optional live-tools_3.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/1rkcACgkQ+C5cwEsrK55CJwCfTHUI1NlOAxYXRzFj4JszcXPP
KqcAoMaHWSKSSykvBiMDuYF+Pol+j5Jt
=MwmA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:35:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.